-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local c_object = require 'mc.orm.object'

local power_supplies = c_object('PowerSupplies')

function power_supplies:get_upgrade_status()
    return self.UpgradeStatus
end

function power_supplies:set_upgrade_status(upgrade_status)
    self.UpgradeStatus = upgrade_status
end

function power_supplies.create_mdb_object()
end

function power_supplies:init()
    self:connect_signal(self.on_add_object_complete, function()
    end)
    power_supplies.super.init(self)
end

return power_supplies